<?php

namespace App\Modules\User\Models;

use Illuminate\Database\Eloquent\Model;

class YqMove extends Model
{
    protected $table = 'yq_move';
    protected $fillable = [
        'yq_uid',
        'zsy_uid',
        'yq_distribution_channel_id',
        'zsy_distribution_channel_id',
        'read_count',
        'yq_balance',
        'is_pay',
        'pay_for_balance',
        'openid',
        'appid'
    ]
    ;
    
    static public function getUser($distribution_channel_id,$openid){
    	return self::where(['zsy_distribution_channel_id'=>$distribution_channel_id,'openid'=>$openid])->first();
    }
}
