<?php

namespace App\Modules\UserTask\Models;

use App\Modules\TableSuffix;
use Illuminate\Database\Eloquent\Model;

class ChapterOrder extends Model
{
    use TableSuffix;

    protected $connection = 'chapter_order_mysql';

    protected $fillable = [
        'distribution_channel_id',
        'bid',
        'cid',
        'chapter_name',
        'book_name',
        'uid',
        'u',
        'fee',
        'book_name',
        'send_order_id',
        'charge_balance',
        'reward_balance'
    ];
    protected $table = 'chapter_orders';

    public static function model(int $uid)
    {
        self::suffix($uid % 512);
        return new static;
    }
}
