<!--
 * @Author: ZhengXiaowei
 * @Date: 2019-08-15 16:39:23
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-09-11 17:12:01
 * @Description: 热门书单
 -->
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <link rel="stylesheet" href="https://cdn-novel.iycdm.com/h5/crm_booklist/css/bookshow.css" />
  <title>热门书单</title>
</head>

<body>
  <main>
    <div class="banner-wrap">
      <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/bookshow_banner.jpg" alt="" />
    </div>
    @foreach ($book_models as $book_model)
    <div class="box-wrap">
      <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/box-bg.png" alt="" class="bg" />
      <p class="box-title">{{$book_model['category_name']}}</p>
      <div class="book-wrap">
        <div class="book-main">
          <a href="{{$book_model['books'][0]['link']}}">
            <img class="cover" src="{{$book_model['books'][0]['cover']}}" alt="" />
          </a>
          <div class="book-info">
            <a href="{{$book_model['books'][0]['link']}}">
              <p class="name">《{{$book_model['books'][0]['name']}}》</p>
              <p class="intro">
                简介：{{$book_model['books'][0]['intro']}}
              </p>
            </a>
            <div class="book-rate">
              @for($i=0;$i
              <$book_model['books'][0]['star'];$i++) <img
                src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/full-star.png" alt="" />
              @endfor
              @for($i=0;$i
              <5-$book_model['books'][0]['star'];$i++) <img
                src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/no-star.png" alt="" />
              @endfor
              <span>{{$book_model['books'][0]['recommend_index']}}分</span>
            </div>
            <div class="book-read">
              <a href="{{$book_model['books'][0]['link']}}">
                @if ($is_annually_monthly_user)
                <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/free-read-btn.png" alt=""
                  class="to-read" />
                @else
                <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/continue-read.png" alt=""
                  class="to-read" />
                @endif
              </a>
              <a href="{{url('/crm/booklist?category_id='.$book_model['category_id'])}}">查看更多&gt;</a>
            </div>
          </div>
        </div>
        <div class="book-normal__list">
          @foreach ($book_model['books'] as $book)
          @if ($loop->index>=1)
          <div class="book-item">
            <a href="{{$book['link']}}">
              <img src="{{$book['cover']}}" alt="" />
              <span>{{$book['name']}}</span>
            </a>
          </div>
          @endif
          @endforeach
        </div>
      </div>
    </div>
    @endforeach
  </main>
</body>

</html>