<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>{{$title}}</title>
  <style>
    * {
      padding: 0;
      margin: 0;
    }

    body {
      font-size: 14px;
      padding: 1em;
    }

    .QA-title {
      color: #ff6060;
      font-size: 17px;
      margin: 1em 0;
    }

    .QA-title:first-child {
      margin-top: 0;
    }

    .QA-title::before {
      content: "";
      background-color: #ff6060;
      display: inline-block;
      width: .2em;
      height: 1em;
      border-radius: 0.1em;
      vertical-align: -0.1em;
      margin-right: 0.2em;
    }

    .question-title {
      font-size: 16px;
      margin: 1em 0;
      color: #333;
    }

    .answer {
      padding: .6em;
      line-height: 1.8;
      color: #999;
      background-color: #f7f7f7;
    }
  </style>
</head>

<body>
  <div class="QA-title">充值问题</div>
  <div class="item">
    <div class="question-title">1.1如何进行充值</div>
    <div class="answer">
      <p>方式一：点击公众号菜单栏【用户中心】-【我要充值】；</p>
      <p>方式二：进入追书云书城首页，点击【个人中心】-【充值】 目前充值仅限使用微信支付。</p>
    </div>
  </div>
  <div class="item">
    <div class="question-title">1.2充值成功后书币未到账情况</div>
    <div class="answer">
      <p>1.2.1确认充值是否成功，系统是否已经扣除了充值费用。</p>
      <p>1.2.2充值成功后书币到账可能有延迟情况，如1小时内仍未到帐请发送商户单号，客服将为您进行核实处理（复制或截图发送皆可）。</p>
      <p>商户单号获取路径： </p>
      <p>⑴进入微信的【钱包】，点击右上角四个点，然后点击【交易记录】 </p>
      <p>⑵点开充值书币的记录，找到【商户单号】</p>
    </div>
  </div>
  <div class="QA-title">收费问题</div>
  </div>
  <div class="item">
    <div class="question-title">2.1小说网站会重复收费吗？</div>
    <div class="answer">
      <p>普通会员: 在某个公众号下阅读充值，该公众号下正常订阅（不包括年费VIP会员）的章节再次阅读是不会重复扣费的。 </p>
      <p>年费VIP会员：在某个公众号下阅读充值，该公众号下年费VIP会员到期之后（即自订购之日起365天后），再次阅读是需要订阅扣费的。 </p>
      <p>如还有其他关于资费问题，请直接留言，客服收到后会及时回复。</p>
    </div>
  </div>
  <div class="item">
    <div class="question-title">2.2如何无限畅读全站小说？</div>
    <div class="answer">
      <p>追书云为大家提供了年费VIP会员服务，为了保障小说爱好者畅通阅读和节省钱包，建议大家选择充值年费VIP会员，就可以免费阅读平台所有小说。</p>
    </div>
  </div>
  <div class="QA-title">其他问题 </div>
  <div class="item">
    <div class="question-title"> 3.1如何领取免费书币？ </div>
    <div class="answer">
      <p>每日首次阅读，即可免费获取50书币。</p>
    </div>
  </div>
  <div class="item">
    <div class="question-title">3.2如何查找您的阅读入口？</div>
    <div class="answer">
      <p>方式一：翻阅自己聊天记录查找自己关注的公众号 </p>
      <p>方式二：点击微信的【通信录】-【公众号】查找</p>
    </div>
  </div>
  <div class="item">
    <div class="question-title">3.3如何查找您的阅读入口？</div>
    <div class="answer">
      <p>方式一：点击公众号菜单栏【继续阅读】</p>
      <p>方式二：点击公众号菜单栏【用户中心】-【阅读记录】</p>
      <p>方式三：进入追书云书城首页，点击【书架】-【最近阅读】</p>
    </div>
  </div>
</body>

</html>