<?php

namespace App\Modules\OfficialAccount\Models;

use Illuminate\Database\Eloquent\Model;

class WechatPublicTemplates extends Model
{
    protected $tables = 'wechat_public_templates';

    protected $fillable = ['common_template_id','title','primary_industry','deputy_industry','content','example'];

    /**
     * 获取公共模板
     */
    static function wechatPublicTemplateList()
    {
        
       	return self::where('status',1)->select()->orderBy('sort_no','desc')->get();
    
    }


}


