<?php

namespace App\Modules\UserTask\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property string $code
 * @property string $name
 * @property string $desc
 * @property bool $is_repeat
 * @property int $repeat_cycles
 * @property int $reward_type
 * @property int $value
 * @property string $type
 * @property bool $is_enabled
 */
class Task extends Model
{
    protected $table = 'qapp_tasks';
    protected $fillable = [
        'code',
        'name',
        'desc',
        'is_repeat',
        'repeat_cycles',
        'reward_type',
        'value',
        'type',
        'path',
        'icon',
        'is_enabled',
    ];
}
