<html>
<head>
    <meta charset="utf-8">
    <title>外部派单作品分析报表</title>
    <link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/3.3.7/css/bootstrap.min.css">
</head>
<body>

<table class="table">
    <caption>{{$month}}外部派单作品分析报表</caption>
    <thead>
    <tr>
        <th>书籍ID</th>
        <th>书籍名称</th>
        <th>实际派单数</th>
        <th>UV</th>
        <th>注册用户数</th>
        <th>充值</th>
        <th>男女频</th>
        <th>注册/派单</th>
        <th>充值/派单</th>
        <th>充值/注册</th>
    </tr>
    </thead>
    <tbody>
    @foreach ($datas as $data)
        <tr>
            <td>{{$data['bid']}}</td>
            <td>{{$data['book_name']}}</td>
            <td>{{$data['order_num']}}</td>
            <td>{{$data['UV']}}</td>

            <td>{{$data['register_user_sum']}}</td>
            <td>{{$data['recharge_sum']}}</td>
            <td>{{$data['pid']}}</td>

            <td>{{$data['order_num']>0?round($data['register_user_sum']/$data['order_num'],2):0}}</td>
            <td>{{$data['order_num']>0?round($data['recharge_sum']/$data['order_num'],2):0}}</td>
            <td>{{$data['register_user_sum']>0?round($data['recharge_sum']/$data['register_user_sum'],2):0}}</td>
        </tr>
    @endforeach
    </tbody>
</table>

</body>
</html>