<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel=icon type=image/png href="data:image/png;base64,iVBORw0KGgo=">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>书币欢乐送</title>
    <style>
        html,
        body {
            margin: 0 auto;
            padding: 0;
            max-width: 450px;
            font-size: 100px;
        }

        html {
            background: #ff3432;
        }

        .main_box {
            font-size: 0;
            position: relative;
        }

        .main_box img {
            width: 100%;
        }

        .time {
            font-size: .14rem;
            font-weight: bold;
            text-align: center;
            color: #fff;
        }

        .recharge-item {
            font-size: 0;
            width: 90%;
            margin: .3rem auto;
        }

        .recharge_box_one {
            width: 95%;
            margin: 0 auto;
        }

        .rule-box {
            font-size: 0;
            width: 90%;
            margin: .3rem auto 0;
        }

        .main_box img,
        a {
            -webkit-tap-highlight-color: transparent;
        }

        .d_none {
            display: none;
        }
    </style>
</head>

<body>
<main class="main_box">
    <img src="https://cdn-novel.iycdm.com/h5/activity-chanel-custom/banner.jpg" alt="" />
    <p class="time">活动有效期：{{$start_time or '-'}}至{{$end_time or '-'}}</p>
    <div class="recharge-item">
        <img src="{{$img}}" alt="">
    </div>
    <div class="recharge_box_one">
    @if($code == 0)
        <!-- 活动进行中 -->
            <a href="{{$url}}" class="beginning">
                <img src="https://cdn-novel.iycdm.com/h5/activity-chanel-custom/doing.jpg" alt="">
            </a>
    @elseif($code == -3)
        <!-- 活动未开始 -->
            <a href="#" class="un_begin">
                <img src="https://cdn-novel.iycdm.com/h5/activity-chanel-custom/undone.jpg" alt="">
            </a>
    @elseif($code == -1)
        <!-- 活动结束 -->
            <a href="javascript:void(0)" class="over">
                <img src="https://cdn-novel.iycdm.com/h5/activity-chanel-custom/over.jpg" alt="">
            </a>
    @elseif($code == -2)
        <!-- 活动已充值 -->
            <a href="javascript:void(0)" class="done">
                <img src="https://cdn-novel.iycdm.com/h5/long_done.png" alt="">
            </a>
    @endif

    </div>
    <div class="rule-box">
        <img src="https://cdn-novel.iycdm.com/h5/activity-chanel-custom/rule68.jpg" alt="">
    </div>
</main>
</body>

</html>